ALD4.1 "Война за мобильность" (наших пока бьют)

Модератор: Skull

dimbor
Ведущий рубрики
Сообщения: 1355
Статус: Подвинутый участник

ALD4.1 "Война за мобильность"

Сообщение dimbor » 11.11.2009 04:15

Вопросы с предысторией и глубокими моральными страданиями, впрочем как обычно.
Имеется личный разъездной девайс - Toshiba Satellite P200. Достоинства сего прибора, такие как нормальная клавиатура и большой экран, перевешивают его немногочисленные недостатки. В свое время туда был поставлен 4-й десктоп. Потом в течении месяца шла изматывающая борьба по подцеплению его устройств с пересборкой модулей, шаманскими плясками, и даже вроде засыланием "куда-надо" патчей. Вай-фай, блютуз, звук, камеру и тачпад удалось победить, а тамошний софтмодем - нет (да не больно-то и нужен).

Все бы хоршо, только в процессе борьбы система с помощью apt и какой-то матери была дотянута до сизифа. При каждом периодическом apt-get upgrade туда сваливалось половина дистрибутива и новая стая глюков. Когда мне надоело обновляться вместо того, чтобы работать, "с нуля" был установлен десктоп 4.1 и заново проделаны магические пассы.

Так и жилось на стабильном репозитории. Но, GPRS - это кисло. Поэтому был приобретен WiMAX модем (Samsung SWC-U200) - здравствуй, Yota. Перед этим конечно было узнано, что под линуксом прецеденты его использования имеются. Настал черед детального разбирательства. Оказалось, что поддержку в ядре сделали только в 2.6.30 (в ALD4.1 2.6.25). Упс! Не хочу опять под сизиф.

Обходной путь - использование madwimax. Его сборка под десктопом упирается в отсутствие libusb-1.0 (имеется 0.1). libusb-1.0 , как ни странно, тоже собирается. Да вот только будет ли работать? Да еще и на старую 0.1 ссылается очень много установленных пакетов (kde, wine, ...etc). Повалить еще и их что-ли?

Ставить "с нуля", новейший дистрибутив (какой???), где была бы libusb-1.0, крайне нецелесообразно - только заново настраивать все буду суток двое, да еще и забуду перенести половину.

Вот и получается пока, и так плохо, и так сташно, а так ваще кошмарно.

Какие еще можно придумать варианты? Обновить что-ли только ядро+модули+libc+glibc+[хрен-его-знает-что] == опять сизиф?

Или все еще проще, и там все работает "из коробки", а я туплю?
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: ALD4.1 "Война за мобильность"

Сообщение romuil » 11.11.2009 07:12

А что мешает обновиться до 5-ки?
Кстати у меня сейчас текущий сизиф - работает без особо страшных глюков.
Спасибо сказали:

Аватара пользователя
HAW
Сообщения: 1321
ОС: ALT 4.1branch

Re: ALD4.1 "Война за мобильность"

Сообщение HAW » 11.11.2009 08:32

может чего полегче попробовать
ftp://ftp.altlinux.org/pub/people/dkoryavov/distr/
хочется вывести в чисто поле,
поставить лицом к стенке
и выстрелить в лоб,
что бы поняли!!!
Спасибо сказали:

Аватара пользователя
Ruslandh
Сообщения: 265
ОС: Sisyphus

Re: ALD4.1 "Война за мобильность"

Сообщение Ruslandh » 11.11.2009 08:55

Первое, что бросается в глаза, что вы неправильно обновлялись (apt-get upgrade) - надо использовать apt-get dist-upgrade
Поспешай не торопясь
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: ALD4.1 "Война за мобильность"

Сообщение Skull » 11.11.2009 13:16

Skull
Спасибо сказали:

dimbor
Ведущий рубрики
Сообщения: 1355
Статус: Подвинутый участник

Re: ALD4.1 "Война за мобильность"

Сообщение dimbor » 11.11.2009 13:22

romuil писал(а):
11.11.2009 07:12
А что мешает обновиться до 5-ки?
Кстати у меня сейчас текущий сизиф - работает без особо страшных глюков.

И действительно, оно свершилось, собралось и нашлось. Благодарю.

HAW писал(а):
11.11.2009 08:32
может чего полегче попробовать
ftp://ftp.altlinux.org/pub/people/dkoryavov/distr/

Да в том-то и дело, что полная замена приравнивалась к тяжелейшему подвигу. Удалось избежать.

Ruslandh писал(а):
11.11.2009 08:55
Первое, что бросается в глаза, что вы неправильно обновлялись (apt-get upgrade) - надо использовать apt-get dist-upgrade

Ага, так обновляется гораздо с меньшим количеством телодвижений, спасибо.
Спасибо сказали: